#define _CRT_SECURE_NO_WARNINGS
#include <stdio.h>

#define SIZE 3
void inputM(int A[][SIZE]);
void printM(int A[][SIZE]);
void transposeM(int A[][SIZE]);
void multiplyM(int A[][SIZE], int B[][SIZE], int AB[][SIZE]);

int main(void)
{
	int A[SIZE][SIZE], B[SIZE][SIZE];
	int AB[SIZE][SIZE] = { 0 }, BA[SIZE][SIZE] = { 0 };

	printf(" A  Է >> ");
	inputM(A);
	printf("\n B  Է >> ");
	inputM(B);

	printf("\nԷ  A :");
	printM(A);
	printf("\nԷ  B :");
	printM(B);

	multiplyM(A, B, AB);
	transposeM(AB);
	printf("\n[A * B Ʈ]  :");
	printM(AB);

	printf("\n[A Ʈ]  :");
	transposeM(A);
	printM(A);
	printf("\n[B Ʈ]  :");
	transposeM(B);
	printM(B);

	printf("\n[B Ʈ] * [A Ʈ]  :");
	multiplyM(B, A, BA);
	printM(BA);

	return 0;

}

void inputM(int A[][SIZE])
{
	for (int i = 0; i < SIZE; i++) {
		for (int j = 0; j < SIZE; j++) {
			scanf("%d", &A[i][j]);
		}
	}
}

void transposeM(int A[][SIZE])
{
	for (int i = 1; i < SIZE; i++) {
		for (int j = 0; j < i; j++) {
			int temp = A[i][j];
			A[i][j] = A[j][i];
			A[j][i] = temp;
		}
	}
}

void multiplyM(int A[][SIZE], int B[][SIZE], int AB[][SIZE])
{
	for (int i = 0; i < SIZE; i++) {
		for (int j = 0; j < SIZE; j++) {
			for (int k = 0; k < SIZE; k++) {
				AB[i][j] += A[i][k] * B[k][j];
			}
		}
	}
}

void printM(int A[][SIZE])
{
	for (int i = 0; i < SIZE; i++) {
		printf("\n");
		for (int j = 0; j < SIZE; j++) {
			printf("%d\t", A[i][j]);
		}
	}
	printf("\n");
}

